/** DisplayPanel.java
 *
 *  This class mainly maintains the text Area.
 *  It provides method showResult(String record) to display the query results from Database.
 * 
 *  @author xjqiu@npac.syr.edu
 */

import java.awt.*;
import java.applet.*;
import java.awt.event.*;


public class DisplayPanel extends Panel {
	TextArea resultArea;
	String nodata = "There is no data matched";
    String multiLineText = "\nPlease choose CONNECTION before any other database operations.!\n";
	
	public DisplayPanel( ) {
		setLayout(new BorderLayout());
		resultArea = new TextArea(multiLineText, 9, 20);
		resultArea.setBackground(Color.white);
		add(resultArea, "North");
	}


	public void showResult(String record) {
		resultArea.append(record+"\n");
	}	 	
	
	public void clearText(){
		resultArea.setText(" ");
	}
}


